#
# spec file for package xmpi (Version 2.2.3b4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp lam libgpp openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd lam less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmpi
Url:	      http://www.mpi.nd.edu/lam/software/xmpi/
Copyright:    Copyright 1999 The Ohio State University
Group:        Applications/Clustering
requires:     lam
Autoreqprov:  on
Version:      2.2.3b4
Release:      55
Summary:      A graphical user interface for MPI program development
Source:  xmpi-%{version}.tar.bz2
#Patch:	  xmpi-%{version}.dif
Buildroot:	%{_tmppath}/xmpi-%{version}-root

%description
XMPI is an X/Motif based graphical user interface for running,
debugging and visualizing MPI programs. Extensive MPI information is
extracted from a running application on demand, or from a cummulative
log of communication. Both sources are tightly integrated with an
application overview window and any number of single process focus
windows.
XMPI can acquire and display extensive detail on an application's MPI
communication, including the following:
o process synchronization status: running, system or blocked
o message queue contents
o source, destination, root ranks
o MPI function name
o communicator
o datatype
o message count
o tag
The above information is acquired from on-demand snapshots of
application status using debugging hooks in the MPI implementation or
from a trace log of communication activity.
XMPI is a great tool for teaching MPI in a hands-on setting.  Students
run example code and can see and verify each MPI operation.  XMPI has an
application "wizard" to help assemble programs and assign processors to
MIMD and SPMD applications.  Furthermore, it is not tedious to generate,
acquire and display information.  A typical development cycle begins by
assembling an application and continues in the following manner.
o press the snapshot button to see what's going on now
o popup focus windows for a few interesting processes
o press the snapshot button a few (or a few dozen!) more times
o see the application completed, hung, deadlocked, etc...
o press the trace button once and the timeline window is displayed
o review the previous execution with trace log snapshots
o make application changes and press the rerun button
No recompiles or special libraries are required to snapshot the
application or obtain a trace log.

Authors:
--------
    LAM Team <llamas@mpi.nd.edu>

SuSE series: beo

%prep
%setup -n xmpi-%{version}
#%patch

%build
rm -rf $RPM_BUILD_ROOT
./configure  --with-lam --prefix=/usr/X11R6 --with-shared --mandir=%{_mandir} -with-cxx=/usr/lib/lam/bin/mpiCC --with-cc=/usr/lib/lam/bin/mpicc
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE NEWS README
/usr/X11R6/bin/xmpi
/usr/X11R6/lib/libxmpi.*
%{_mandir}/man1/xmpi.1.gz

%changelog -n xmpi
* Sat Jul 14 2001 - nashif@suse.de
-  Update to version 2.2.3b4
* Thu Apr 19 2001 - ro@suse.de
- fixed to compile with new lam
* Thu Mar 15 2001 - nashif@suse.de
- Update to version 2.2-6.3.2
* Mon Nov 20 2000 - nashif@suse.de
- switched from lesstif to openmotif
* Thu Nov 16 2000 - nashif@suse.de
- Use _mandir macro
- cleanup
* Tue May 16 2000 - nashif@suse.de
- Updated to 2.2-6.3.2
- Use BuildRoot
- Group tag
* Fri Mar 31 2000 - nadvornik@suse.cz
- removed /usr/X11R6/bin, /usr/X11R6/lib, /usr/X11R6/man/man1,
  /usr/X11R6/lib/X11/app-defaults from filelist
* Mon Feb 14 2000 - nashif@suse.de
- Update to version: 2.2-6.3.1
* Tue Jan 18 2000 - nashif@suse.de
- New Version 2.2-6.3 which should work with lam  6.3.1
* Tue Dec 14 1999 - ro@suse.de
- fixed to compile (on x86, alpha, hopefully ppc)
* Thu Oct 21 1999 - nashif@suse.de
- upgrade to 2.1.2 which contains some fixes to make xmpi work with lesstif
* Mon Oct 11 1999 - uli@suse.de
- adapted to new struct kio_t from lam
* Sun Oct 10 1999 - ro@suse.de
- switch to lesstif
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 - ro@suse.de
- change for lam62 - don't redeclare
* Thu Mar 11 1999 - grimmer@suse.de
- initial version (2.1)
